Subject: Re: [Add] Draft "ABCD" WG Charter

From: <[email-masked]>
Date: Fri, 20 Dec 2019 11:59:04 +0000

Thank you Tommy for offering us:

> Adaptive DNS Discovery (ADD)
> ====================================
> Proposed Working Group Charter

I think this charter certainly reflects the desire expressed at the BoF to narrow down on:

  *   Resolver discovery
  *   Expression of resolver policy
  *   Query routing in the presence of resolver choice

For that reason I would support its creation. Having a defined way of solving these issues would be much preferable to a mixed bag of solutions that vary per application.

On the question of how this working group would relate to dnsop, dprive, doh and capport, I would look to other more experienced people to advise on. My only request is to not have the meetings of any of these groups clash for agenda time in Vancouver. Ideally also not with pearg, and the groups working on the underlying layers of DoH (i.e. httpbis and quic).

Also good that there is no departure from standard IETF processes in this charter.

Chris